#
# Conditional build:
%bcond_without	tests	# make check
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Testscenarios - pyunit extension for dependency injection
Summary(pl.UTF-8):	Testscenarios - rozszerzenie pyunit do wstrzykiwania zależności
Name:		python-testscenarios
Version:	0.5.0
Release:	7
License:	Apache v2.0 or BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/testscenarios/
Source0:	https://files.pythonhosted.org/packages/source/t/testscenarios/testscenarios-%{version}.tar.gz
# Source0-md5:	859073d9e7b049aee2e6704c51f6001a
URL:		https://launchpad.net/testscenarios
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-pbr >= 0.11
BuildRequires:	python-setuptools
BuildRequires:	python-testtools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-pbr >= 0.11
BuildRequires:	python3-setuptools
BuildRequires:	python3-testtools
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test code
itself, allowing easy testing in different situations).

%description -l pl.UTF-8
Moduł testscenarios zapewnia czyste wstrzykiwanie zależności dla
testów pythonowych w stylu unittest. Może to być używane do testowania
interfejsów (testowania wielu implementacji poprzez prosty zestaw
testów) albo klasycznego wstrzykiwania zależności (dostarczania testów
z zależnościami zewnętrznymi w stosunku do kodu testującego, co
pozwala na łatwiejsze testowanie w różnych sytuacjach).

%package -n python3-testscenarios
Summary:	Testscenarios - pyunit extension for dependency injection
Summary(pl.UTF-8):	Testscenarios - rozszerzenie pyunit do wstrzykiwania zależności
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-testscenarios
testscenarios provides clean dependency injection for python unittest
style tests. This can be used for interface testing (testing many
implementations via a single test suite) or for classic dependency
injection (provide tests with dependencies externally to the test code
itself, allowing easy testing in different situations).

%description -n python3-testscenarios -l pl.UTF-8
Moduł testscenarios zapewnia czyste wstrzykiwanie zależności dla
testów pythonowych w stylu unittest. Może to być używane do testowania
interfejsów (testowania wielu implementacji poprzez prosty zestaw
testów) albo klasycznego wstrzykiwania zależności (dostarczania testów
z zależnościami zewnętrznymi w stosunku do kodu testującego, co
pozwala na łatwiejsze testowanie w różnych sytuacjach).

%prep
%setup -q -n testscenarios-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__make} check \
	PYTHON=%{__python}
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__make} check \
	PYTHON=%{__python3}
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/testscenarios/tests
%endif

%if %{with python3}
%py3_install
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/testscenarios/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING ChangeLog GOALS NEWS README
%{py_sitescriptdir}/testscenarios
%{py_sitescriptdir}/testscenarios-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-testscenarios
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING ChangeLog GOALS NEWS README
%{py3_sitescriptdir}/testscenarios
%{py3_sitescriptdir}/testscenarios-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-testscenarios.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> dcbccda
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 53611cf
- rebuild with python 3.10

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> bc1386d
- release 5 (by relup.sh)

* Fri Jan 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 159b804
- removed redundant dependencies (pythonegg ones are autogenerated)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 92fa2e7
- rebuild with python 3.8
- release 4 (by relup.sh)

* Thu Jul 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 5eafe53
- tests are passing with fixed testtools packaging (when testtools.tests.helpers are importable)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 270fe9a
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bc1bd2
- python 3.6
- release 2 (by relup.sh)

* Mon Mar 14 2016 Jakub Bogusz <qboosh@pld-linux.org> aa2fd2e
- new

